**Alerts and notifications**
============================

### Table of contents

[\[Show/Hide\]](javascript:toggleToc())

*   [Alerts](#Alerts)
    *   [Reported information](#Reported_information)
    *   [Real time alerting](#Real_time_alerting)
    *   [Email notifications](#Email_notifications)

Alerts
======

Reported information
--------------------

When launched with the parameter --short, the plugin reacts as in previous versions of check\_interface\_table, and only report counters: how many interfaces have properties changes, how many interfaces have excessive traffic.

When launched with the parameter --long, the plugin outputs detailed information when a problem occurs.

Exemple of output whith --long: ![Image](tiki-download_file.php?fileId=7&display)

The parts of the output are explaned hereunder:

1.  general port statistics
2.  interface property changes / traffic load
    *   in case of interface property changes: the name(s) of the property and the name(s) of the involved interface(s).  
        Ex: 4 change(s): ifOperStatus - GigabitEthernet2/11 GigabitEthernet2/13 GigabitEthernet2/31 GigabitEthernet2/32
    *   in case of traffic load(s) reaching the thresholds: the severity(ies) of the load, the threshold reached, and the name(s) of the concerned interface(s)  
        Ex: 1 warning load(s) (>2%): Vlan1, 3 critical load(s) (>4%): GigabitEthernet2/25 GigabitEthernet2/33 GigabitEthernet2/42
3.  direct link to the interface table web page

Real time alerting
------------------

You can keep an eye on your monitoring system via various nagios addons. 2 famous ones are nagioschecker (firefox extension) and nagstamon (floating bar on desktop).

Hereunder is an exemple of alert concerning check\_interface\_table\_v3t on nagstamon: ![Image](tiki-download_file.php?fileId=27&display) Zoom on 'Status Information' ![Image](tiki-download_file.php?fileId=9&display)

Email notifications
-------------------

In your email client (Outlook, Lotus Notes, Thunderbirdâ€¦), you will be notified about interface changes or traffic reaching the thresholds. Received emails can looks like the following (email generated by Nagios Extended Notification Mail, [http://www.bergercity.de/linux/nagios-notification-mail/](http://www.bergercity.de/linux/nagios-notification-mail/)![ ](img/icons/external_link.gif " ")): ![Image](tiki-download_file.php?fileId=10&display) Apart from common information such as monitored host name & service name, states and time information, there will be more specific information that will help you to figure out what is going on (look at the previous image for number matching):

*   This part presents a snapshot of the current situation
*   This is a direct link to the interface table web page
*   This part takes again all the previous info

* * *

  
The original document is available at [http://www.tontonitch.com/tiki/tiki-index.php?page=Nagios+plugins+-+interfacetable\_v3t+-+documentation+-+0.05+-+Alerts+and+notifications](http://www.tontonitch.com/tiki/tiki-index.php?page=Nagios+plugins+-+interfacetable_v3t+-+documentation+-+0.05+-+Alerts+and+notifications)
